Bug 208971 - Axe bsd.databases.mk
Summary: Axe bsd.databases.mk
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Antoine Brodin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-22 09:40 UTC by Mathieu Arnold
Modified: 2016-04-25 16:19 UTC (History)
1 user (show)

See Also:
mat: exp-run?


Attachments
patch-v1 (73.80 KB, patch)
2016-04-22 09:40 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2016-04-22 09:40:52 UTC
Created attachment 169556 [details]
patch-v1
Comment 1 Antoine Brodin freebsd_committer 2016-04-22 16:02:26 UTC
Those 2 ports seem not full converted:

dns/opendnssec13/Makefile:MYSQL_USE_OFF=                SQLITE=yes
security/cyrus-sasl2/Makefile:SQLITE2_USEs=             sqlite:2
Comment 2 Antoine Brodin freebsd_committer 2016-04-23 16:48:49 UTC
For a few ports there is some fallout from this change in Mk/Uses/qmake.mk : https://svnweb.freebsd.org/ports/head/Mk/Uses/qmake.mk?r1=413768&r2=413767&pathrev=413768
( env: ./configure: No such file or directory )


A few ports are now ignored:

databases/mysql-connector-c	cannot install: unknown MySQL version: 51+
databases/mysql-connector-c++	cannot install: unknown MySQL version: 51+
databases/tcl-Mysql	cannot install: unknown MySQL version: 41+
dns/opendnssec	cannot install: unknown MySQL version: compat
net-mgmt/ocsinventory-ng	cannot install: unknown MySQL version: 41+
textproc/sphinxsearch	cannot install: unknown MySQL version: mysql
textproc/sphinxsearch-devel	cannot install: unknown MySQL version: mysql


I will post the new failures later
Comment 3 Antoine Brodin freebsd_committer 2016-04-23 17:58:31 UTC
Ports not fully converted:

dns/opendnssec13/Makefile:MYSQL_USE_OFF=                SQLITE=yes
security/cyrus-sasl2/Makefile:SQLITE2_USEs=             sqlite:2

New ports skipped on 10.1 amd64:

+ {"origin"=>"databases/mysql-connector-c", "pkgname"=>"mysql-connector-c-6.1.6", "reason"=>"cannot install: unknown MySQL version: 51+"}
+ {"origin"=>"databases/mysql-connector-c++", "pkgname"=>"mysql-connector-c++-1.1.7_1", "reason"=>"cannot install: unknown MySQL version: 51+"}
+ {"origin"=>"databases/tcl-Mysql", "pkgname"=>"tcl86-sql-20000114_7", "reason"=>"cannot install: unknown MySQL version: 41+"}
+ {"origin"=>"dns/opendnssec", "pkgname"=>"opendnssec-1.4.9", "reason"=>"cannot install: unknown MySQL version: compat"}
+ {"origin"=>"net-mgmt/ocsinventory-ng", "pkgname"=>"ocsinventory-ng-2.1.2", "reason"=>"cannot install: unknown MySQL version: 41+"}
+ {"origin"=>"textproc/sphinxsearch", "pkgname"=>"sphinxsearch-2.2.10", "reason"=>"cannot install: unknown MySQL version: mysql"}
+ {"origin"=>"textproc/sphinxsearch-devel", "pkgname"=>"sphinxsearch-devel-2.2.1_1,1", "reason"=>"cannot install: unknown MySQL version: mysql"}

New failures on 10.1 amd64:

+ {"origin"=>"mail/exim-sqlite", "pkgname"=>"exim-sqlite-4.87", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"net/mediatomb", "pkgname"=>"mediatomb-0.12.1_12", "phase"=>"configure", "errortype"=>"configure_error"}

Failure logs:

http://package18.nyi.freebsd.org/data/101amd64-default-PR208971/2016-04-23_16h24m57s/logs/errors/exim-sqlite-4.87.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR208971/2016-04-23_16h24m57s/logs/errors/mediatomb-0.12.1_12.log
Comment 4 Mathieu Arnold freebsd_committer 2016-04-25 15:33:11 UTC
Ok, fixed all those, were there some ignored ports ?
Comment 5 Mathieu Arnold freebsd_committer 2016-04-25 15:59:59 UTC
Mmm, looking at http://package18.nyi.freebsd.org/build.html?mastername=101amd64-default-PR208971&build=2016-04-23_16h24m57s there were none, great.
Comment 6 commit-hook freebsd_committer 2016-04-25 16:14:30 UTC
A commit references this bug:

Author: mat
Date: Mon Apr 25 16:13:47 UTC 2016
New revision: 414014
URL: https://svnweb.freebsd.org/changeset/ports/414014

Log:
  Remove USE_SQLITE from bsd.databases.mk, replaced by USES=sqlite.

  While there replace USE_SQLITE=x by USES=sqlite:x.

  PR:		208971
  Submitted by:	mat
  Exp-run by:	antoine
  With hat:	portmgr
  Sponsored by:	Absolight
  Differential Revision:	https://reviews.freebsd.org/D5951

Changes:
  head/Mk/bsd.database.mk
  head/Mk/bsd.port.mk
  head/Mk/bsd.sanity.mk
  head/Tools/scripts/portsvar.sh
  head/astro/foxtrotgps/Makefile
  head/audio/harp/Makefile
  head/audio/libgpod/Makefile
  head/audio/linuxsampler/Makefile
  head/audio/lollypop/Makefile
  head/audio/osd-lyrics/Makefile
  head/audio/pragha/Makefile
  head/chinese/libchewing/Makefile
  head/databases/akonadi/Makefile
  head/databases/cppdb/Makefile
  head/databases/fpc-sqlite/Makefile
  head/databases/grass/Makefile
  head/databases/gtksql/Makefile
  head/databases/luadbi/Makefile
  head/databases/opendbx/Makefile
  head/databases/p5-DBIx-Class-Schema-Loader/Makefile
  head/databases/proftpd-mod_sql_sqlite/Makefile
  head/databases/qt5-sqldrivers-sqlite2/Makefile
  head/databases/qt5-sqldrivers-sqlite3/Makefile
  head/databases/soci/Makefile
  head/databases/spatialite/Makefile
  head/databases/spatialite-tools/Makefile
  head/databases/sqlite-ext-miscfuncs/Makefile
  head/databases/sqlite-ext-pcre/Makefile
  head/databases/sqlitebrowser/Makefile
  head/databases/sqliteman/Makefile
  head/databases/sqlitestudio/Makefile
  head/databases/virtualpg/Makefile
  head/databases/vsqlite/Makefile
  head/deskutils/fbreader/Makefile
  head/deskutils/growl-for-linux/Makefile
  head/deskutils/gworkspace-gwmetadata/Makefile
  head/deskutils/osmo/Makefile
  head/deskutils/pinot/Makefile
  head/devel/bugzilla44/Makefile
  head/devel/bugzilla50/Makefile
  head/devel/cvstrac/Makefile
  head/devel/libleaftag/Makefile
  head/devel/libopensync/Makefile
  head/devel/libsoup/Makefile
  head/devel/matreshka/Makefile
  head/devel/poco-devel/Makefile
  head/devel/poco-ssl/Makefile
  head/dns/opendnssec13/Makefile
  head/dns/powerdns/Makefile
  head/ftp/wzdftpd/Makefile
  head/games/crossfire-server/Makefile
  head/games/ldmud/Makefile
  head/games/pvpgn/Makefile
  head/graphics/gdal/Makefile
  head/lang/bigloo/Makefile
  head/lang/io/Makefile.addons
  head/lang/munger/Makefile
  head/mail/cyrus-imapd23/Makefile
  head/mail/cyrus-imapd24/Makefile
  head/mail/dbmail22/Makefile
  head/mail/dovecot/Makefile
  head/mail/dovecot2/Makefile
  head/mail/dspam/Makefile
  head/mail/exim/Makefile
  head/misc/krecipes-kde4/Makefile
  head/net/glusterfs/Makefile
  head/net-im/ejabberd/Makefile
  head/net-im/imspector/Makefile
  head/net-mgmt/aircrack-ng/Makefile
  head/net-mgmt/netxms/Makefile
  head/net-mgmt/zabbix2-server/Makefile
  head/net-mgmt/zabbix22-server/Makefile
  head/net-mgmt/zabbix24-server/Makefile
  head/net-mgmt/zabbix3-server/Makefile
  head/net-p2p/gnunet/Makefile
  head/net-p2p/uhub/Makefile
  head/ports-mgmt/packagekit/Makefile
  head/security/cyrus-sasl2/Makefile
  head/security/heimdal/Makefile
  head/security/libpreludedb/Makefile
  head/textproc/redland/Makefile
  head/www/kannel/Makefile
  head/www/kannel-sqlbox/Makefile
  head/www/rt40/Makefile
Comment 7 commit-hook freebsd_committer 2016-04-25 16:14:32 UTC
A commit references this bug:

Author: mat
Date: Mon Apr 25 16:14:04 UTC 2016
New revision: 414015
URL: https://svnweb.freebsd.org/changeset/ports/414015

Log:
  Remove USE_FIREBIRD from bsd.databases.mk, replaced by USES=firebird.

  Also:
  - replace USE_FIREBIRD by USES=firebird.
  - convert ports depending on databases/firebird25-client directly to USES=firebird.

  PR:		208971
  Submitted by:	mat
  Exp-run by:	antoine
  With hat:	portmgr
  Sponsored by:	Absolight
  Differential Revision:	https://reviews.freebsd.org/D5951

Changes:
  head/Mk/bsd.database.mk
  head/Mk/bsd.port.mk
  head/Mk/bsd.sanity.mk
  head/databases/firebird25-server/Makefile
  head/databases/flamerobin/Makefile
  head/databases/fpc-ibase/Makefile
  head/databases/p5-DBD-InterBase/Makefile
  head/databases/py-fdb/Makefile
  head/databases/qt4-ibase-plugin/Makefile
  head/databases/qt5-sqldrivers-ibase/Makefile
  head/databases/soci/Makefile
  head/databases/sqlrelay/Makefile
  head/devel/matreshka/Makefile
  head/editors/libreoffice/Makefile
  head/security/hydra/Makefile
Comment 8 commit-hook freebsd_committer 2016-04-25 16:17:34 UTC
A commit references this bug:

Author: mat
Date: Mon Apr 25 16:17:21 UTC 2016
New revision: 414018
URL: https://svnweb.freebsd.org/changeset/ports/414018

Log:
  Move USE_BDB support from bsd.databases.mk to its own file.

  Also:
  - Deorbit WANT_BDB_VER, one can use USES=bdb:<ver> instead.
  - USE_BDB can't happen after bsd.port.pre.mk because it is a USES.

  PR:		208971
  Submitted by:	mat
  Exp-run by:	antoine
  With hat:	portmgr
  Sponsored by:	Absolight
  Differential Revision:	https://reviews.freebsd.org/D5951

Changes:
  head/Mk/Uses/bdb.mk
  head/Mk/bsd.database.mk
  head/Mk/bsd.port.mk
  head/Mk/bsd.sanity.mk
  head/devel/ice/Makefile
  head/lang/php55/Makefile.ext
  head/lang/php56/Makefile.ext
  head/lang/php70/Makefile.ext
  head/mail/dk-milter/Makefile
  head/net-p2p/digitalcoin/Makefile
  head/net-p2p/dogecoin/Makefile
  head/net-p2p/namecoin/Makefile
  head/net-p2p/twister/Makefile
Comment 9 commit-hook freebsd_committer 2016-04-25 16:18:35 UTC
A commit references this bug:

Author: mat
Date: Mon Apr 25 16:17:33 UTC 2016
New revision: 414019
URL: https://svnweb.freebsd.org/changeset/ports/414019

Log:
  Move MySQL support from bsd.databases.mk to Uses/mysql.mk.

  Also, USE_MYSQL can't happen after bsd.port.pre.mk because it is a USES.

  PR:		208971
  Submitted by:	mat
  Exp-run by:	antoine
  With hat:	portmgr
  Sponsored by:	Absolight
  Differential Revision:	https://reviews.freebsd.org/D5951

Changes:
  head/Mk/Uses/mysql.mk
  head/Mk/bsd.database.mk
  head/Mk/bsd.port.mk
  head/Mk/bsd.sanity.mk
  head/databases/mysql-connector-c/Makefile
  head/databases/mysql-connector-c++/Makefile
  head/databases/tcl-Mysql/Makefile
  head/dns/opendnssec/Makefile
  head/lang/harbour/Makefile
  head/lang/php55/Makefile.ext
  head/lang/php56/Makefile.ext
  head/lang/php70/Makefile.ext
  head/net/mediatomb/Makefile
  head/net-mgmt/ocsinventory-ng/Makefile
  head/textproc/sphinxsearch/Makefile
  head/textproc/sphinxsearch-devel/Makefile
Comment 10 Mathieu Arnold freebsd_committer 2016-04-25 16:19:07 UTC
All committed.